#
# spec file for package muroard
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 3
Name:           muroard
Version:        0.1.14
Release:        pm152.5.8
Summary:        Minimal RoarAudio sound daemon
License:        GPL-3.0+
Group:          System/Sound Daemons
Url:            http://roaraudio.keep-cool.org/
Source0:        http://roaraudio.keep-cool.org/dl/%{name}-%{version}.tar.gz
Source1:        %{name}.conf
Source2:        %{name}.service
Source3:        %{name}-tmpfile.conf
BuildRequires:  gcc
BuildRequires:  libdnet-devel
BuildRequires:  make
BuildRequires:  muroar-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ao)
BuildRequires:  pkgconfig(vorbis)
Recommends:     libmuroar0
Provides:       roaraudio-server
BuildRequires:  systemd
%{?systemd_requires}
Requires(pre):  coreutils
Requires(pre):  shadow
%if 0%{?suse_version} > 1320
Requires(pre):  system-group-hardware
%endif
Requires(pre):  util-linux-systemd


%description
Small and limited server implementing the RoarAudio protocol. It does not
support most of the RoarAudio protocol features but can the basic job. It
works very well for most small setups without specal requirements.

%package -n     lib%{name}%{soname}
Summary:        Library for minimal RoarAudio sound daemon
Group:          System/Libraries

%description -n	lib%{name}%{soname}
Small and limited server implementing the RoarAudio protocol. It does not
support most of the RoarAudio protocol features but can the basic job. It
works very well for most small setups without specal requirements.

%package 		devel
Summary:        Development Environment for the RoarAudio Sound System
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{soname} = %{version}

%description    devel
Minimal RoarAudio sound daemon.
...
This package contains header files, and libraries needed to develop
application that use muroard.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
./configure \
  --prefix /usr \
  --prefix-lib %{_libdir} \
  --driver libao

make %{?_smp_mflags}

%install
%make_install

install -d %{buildroot}/%{_sbindir}
install -Dm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/roaraudio/%{name}.conf
install -Dm 644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}
install -Dm 644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/%{name}.conf

rm -f %{buildroot}%{_libdir}/lib%{name}*.a

%pre
%service_add_pre %{name}.service
if ! %{_bindir}/id muroard &>/dev/null; then
%{_sbindir}/useradd -r -g audio -d %{_localstatedir}/lib/muroard muroard || \
logger "Unexpected error adding user \"muroard\". Aborting installation."
fi

%post
%service_add_post %{name}.service
systemd-tmpfiles --create %{_tmpfilesdir}/%{name}.conf

%preun
%service_del_preun %{name}.service

%postun
%service_del_postun %{name}.service
if [ $1 -eq 0 ]; then
userdel muroard || logger "User \"muroard\" could not be deleted."
rm -rf %{_localstatedir}/lib/muroard
fi

%post   -n lib%{name}%{soname} -p /sbin/ldconfig

%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%license COPYING*
%{_bindir}/muroard
%{_mandir}/man?/%{name}.1*
%{_sbindir}/rc%{name}
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
%dir %{_sysconfdir}/roaraudio
%config(noreplace) %{_sysconfdir}/roaraudio/%{name}.conf

%files -n lib%{name}%{soname}
%{_libdir}/lib%{name}*.so.%{soname}

%files devel
%{_includedir}/%{name}
%{_libdir}/ckport
%{_libdir}/lib%{name}*.so

%changelog
* Tue May  5 2015 avvissu@yandex.ru
- Initial release
